summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarc Cornellà <marc.cornella@live.com>2018-04-17 22:14:23 +0200
committerGitHub <noreply@github.com>2018-04-17 22:14:23 +0200
commit4fec0a46e73479cf3b9e7f953750af5ed5df87ac (patch)
tree6932948e22972bc59fbc9211c81543df7177e762
parent86a0b8656213951d132e0466c5ffb24150b0aaf1 (diff)
downloadzsh-4fec0a46e73479cf3b9e7f953750af5ed5df87ac.tar.gz
zsh-4fec0a46e73479cf3b9e7f953750af5ed5df87ac.tar.bz2
zsh-4fec0a46e73479cf3b9e7f953750af5ed5df87ac.zip
[installer] use `command -v` to check for git
Quick fix to the script not finding git due to hash. Solves #6697.
-rwxr-xr-xtools/install.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/install.sh b/tools/install.sh
index 187c828f5..840a0d7d8 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -49,7 +49,7 @@ main() {
umask g-w,o-w
printf "${BLUE}Cloning Oh My Zsh...${NORMAL}\n"
- hash git >/dev/null 2>&1 || {
+ command -v git >/dev/null 2>&1 || {
echo "Error: git is not installed"
exit 1
}